package myPackage;

import java.util.Observable;
import java.util.Observer;

//An observer of name changes.
public class NameObserver implements Observer {
	private String name;

	public NameObserver(ConcreteSubject cs) {
        cs.addObserver(this);
		name = cs.getName();
		System.out.println("NameObserver created: Name is " + name);
	}

	public void update(Observable obj, Object arg) {
        ConcreteSubject cs = (ConcreteSubject)obj;

        if (!name.equals(cs.getName())) {
			name = cs.getName();
			System.out.println("NameObserver: Name changed to " + name);
		}
	}
}
